วันอาทิตย์ที่ 22 เมษายน พ.ศ. 2550

ลง Feisty ตัวเต็ม 64bit

ครั้งแรกที่ได้ notebook ATEC Vegus 285 มา เคยลง Ubuntu Dapper 64bit ไปแล้วครั้งหนึ่ง แต่ครั้งนั้นเฉยๆ ไม่รู้สึกว่าจะเร็วกว่าตรงไหน แถมใช้ java applet กับ flash ไม่ได้ด้วย เลยถอยกลับไปใช้ 32bit เหมือนเดิม และใช้มาจน feisty ออกนี่แหละ เลยคิดว่าจะลองใจแข็งใช้ 64bit อีกสักที เพราะตอนนี้ java ก็ใช้ 64bit ได้แล้ว เหลือแต่ flash นี่แหละ ก็กะว่าจะใช้ gnash ไปก่อน

ตอนลงก็เรียบร้อยดี notebook รุ่นนี้ใช้ ATI radeon xpress 200m ใช้ driver แบบ open source แล้วจะใช้ 3D ไม่ได้ เลยติดตั้ง restricted driver ด้วย restricted driver manager ก็ง่ายดี ไม่ต้องออกแรงเยอะเหมือนรุ่นก่อน รีบูตใหม่ก็ใช้ได้ทันที สามารถทดสอบความสามารถ 3D ได้ด้วยคำสั่ง glxgears และ fgl_glxgears

แต่ปัญหาของไดรเวอร์ของ ATI คือ มันไม่สนับสนุน composite ทำให้ AIGLX ไม่ทำงาน คือถ้าเปิด desktop effects จะไม่สำเร็จ ก็ต้องใช้พลังนิดหน่อย ไม่ได้เขียนขั้นตอนไว้ แต่ไม่ยากมาก ลองค้น fglrx beryl ใน google ก็คงเจอ แนวทางคร่าวๆ คือใช้ Xgl ซึ่งมันจะรันบน X อีกที ก็จะทำให้รัน compiz หรือ beryl ได้

อ่อ ถ้าจะเล่น compiz แนะนำให้ลง gnome-compiz-manager ด้วย จะปรับแต่งเพิ่มได้อีกเยอะ

หลังจากลองใช้งานได้สักพัก ก็สรุปได้ว่า 64bit ใช้งานได้ราบลื่นดี ซอฟต์แวร์ต่างๆ ก็มีเทียบเท่ากับ 32bit ที่ต่างกันเห็นๆ คือ flashplugin บน 64bit ยังไม่มี ดังนั้นจะยังเล่น flash บนเว็บที่ใช้ flash ยังไม่ได้ ส่วน gnash ก็พอใช้ได้บ้าง แต่ส่วนใหญ่จะมีปัญหา และ win32codecs ก็จะไม่ทำงานบน 64bit เช่นกัน ทำให้ไม่สามารถเปิดไฟล์หนังที่เป็น wmv ที่ใช้ codec ใหม่ๆ ได้ ซึ่งผมก็ไม่มีอยู่แล้ว ที่จริงกรณีใช้ firefox กับ flash ยังมีทางแก้อีกทางคือ ลง firefox 32bit จะใช้ flash ได้ (วิธีเดียวกับ IE บน windows xp x64 / vista x64 ก็มีทั้ง IE 64bit และ 32bit เช่นกัน) ซึ่งถ้าทนรำคาญกับเว็บที่จำเป็นต้องใช้ flash ไม่ไหวก็อาจจะลองลงดูก็ได้ โชคดีที่ addon ของ firefox ไม่ขึ้นกับแพลตฟอร์ม เลยใช้ได้ทันที

1 ความคิดเห็น :

  1. [...] เคยกล่าวไปในครั้งที่แล้วว่า ลินุกซ์ 64bit ไม่สามารถเล่นแฟลชได้ตรงๆ เพราะไม่มี plugin flash แบบ 64bit สำหรับ firefox 64bit โดยทางออกแรกที่รู้ๆ กันคือ ติดตั้ง firefox 32bit คู่ขนานไปกับ firefox 64bit ด้วย แต่ยังมีทางออกอื่น ที่ผมก็พึ่งรู้ นั่นคือใช้ nspluginwrapper เพื่อทำให้ plugin 32bit ใช้กับ browser 64bit ได้ [...]

    ตอบกลับลบ